class EventsController < ApplicationController
  before_filter :require_user
    
  def index
    @events = Event.get_filtered_events params.merge!({:start_date => 5.minutes.ago.strftime('%Y-%m-%d %H:%M')})
    respond_to do |format|
      format.html   { render }
      format.xml    { render :xml => @events }
      format.json   { render :json => @events }
      format.csv    { render :text => @events.to_csv }
    end
  end

  def last_hour
    @events = Event.get_filtered_events params.merge!({:start_date => 1.hour.ago.strftime('%Y-%m-%d %H:%M')})
    respond_to do |format|
      format.html   { render :action => 'index' }
      format.xml    { render :xml => @events }
      format.json   { render :json => @events }
      format.csv    { render :text => @events.to_csv }
    end
  end
  
  def filter
    @events = Event.get_filtered_events params
    respond_to do |format|
      format.html   { render :action => 'index' }
      format.xml    { render :xml => @events }
      format.json   { render :json => @events }
      format.csv    { render :text => @events.to_csv }
    end
  end
  
  def references_popup
    @references = Event.get_references params[:sensor], params[:event]
    render :layout => false
  end
end
