# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
  def link_to_arin ip_address
    country = GeoIP.new('db/GeoIP.dat').country(ip_address)
    icon    = country[3].eql?('--') ? "error.png" : "flag_icons/#{country[3].downcase}.png"
    link_to image_tag(icon, :alt => country[5], :title => country[5]), "http://ws.arin.net/whois/?queryinput=#{ip_address}", :target => "_blank"
  end
  
  def link_to_reference reference_system, reference_tag
    case reference_system
    when "url"
      name, link = nil, "http://#{reference_tag}"
    when "nessus"
      name, link = 'Nessus', "http://www.nessus.org/plugins/index.php?view=single&id=#{reference_tag}"
    when "bugtraq"
      name, link = 'Security Focus', "http://www.securityfocus.com/bid/#{reference_tag}"
    when "cve"
      name, link = 'CVE', "http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-#{reference_tag}"
    when "arachNIDS"
      name, link = 'arachNIDS (Reference Unavailable)', nil
    when "McAfee"
      name, link = 'McAfee (Reference Unavailable)', nil
    else
      name, link = 'No Reference', nil
    end
    link_to_unless( link.nil?, name, link, :target => "_blank" )
  end
  
  def tag_helper parameter, hint = nil
    html = '<div class="ctrlHolder">'
    html.concat label_tag(parameter)
    html.concat text_field_tag(parameter, params[parameter.to_sym])
    html.concat "<p class=\"formHint\">Note: #{hint}.</p>" unless hint.nil?
    html.concat '</div>'
  end
end
