class NotificationMailer < ActionMailer::Base
  
  def alert(threat_index, to, from, conditions, status, preferences)
    subject       '[SAM] Security Notification'
    recipients    to
    from          from
    sent_on       Time.now
    content_type  "multipart/alternative"
    
    email_vars = {:threat_index => threat_index, :conditions => conditions, :status => status, :preferences => preferences}
    
    part :content_type => "text/html",
      :body => render_message("alert", email_vars)
    
    part "text/plain" do |p|
      p.body = render_message("alert", email_vars)
      p.transfer_encoding = "base64"
    end
  end
  
  def nightly_report(to, from, threat_indexes, top_attacks, top_attackers, high_priority_attacks)
    subject     '[SAM] Daily Report'
    recipients  to
    from        from
    sent_on     Time.now
    body        :threat_indexes => threat_indexes,
                :top_attacks => top_attacks,
                :top_attackers => top_attackers,
                :high_priority_attacks => high_priority_attacks
  end

end
