class MonitorWorker < BackgrounDRb::MetaWorker
  set_worker_name :monitor_worker
  def create(args = nil)
    # this method is called, when worker is loaded for the first time
  end
  
  def monitor_threats
    @conditions = {:start_date => 60.minutes.ago.strftime("%Y-%m-%d %H:%M"),
      :end_date => Time.now.strftime("%Y-%m-%d %H:%M"),
      :limit => 1}
    @threat_index = Event.threat_indexes(@conditions).first
    @last_threat_index = ThreatIndex.last
    @prefs = Preference.first
    status = {}
    status[:last_status] = @last_threat_index == nil ? 3 : @last_threat_index.status
    unless @threat_index == nil
      status[:current_status] = @threat_index.threat_index.to_f >= @prefs.critical_tim_threshold ? 1 : 3
      ThreatIndex.new(:score => @threat_index.threat_index, :source => @threat_index.ip_src, :calculated_at => Time.now, :status => status[:current_status]).save!
      if status[:current_status] != status[:previous_status]
        NotificationMailer.deliver_alert(@threat_index, @prefs.notify_emails_as_array, @prefs.mail_from, @conditions, status, @prefs)
      end
    end
  end
  
  def nightly_report
    @prefs = Preference.find :first
    conditions = { :start_date => Date.yesterday.strftime('%Y-%m-%d 00:00:00'), :end_date => Date.yesterday.strftime('%Y-%m-%d 23:59:59')}
    @threat_indexes = Event.threat_indexes conditions
    @top_attacks = Event.get_top_attacks conditions
    @top_attackers = Event.get_top_attackers conditions
    @high_priority_attacks = Event.get_top_high_priority_attacks conditions
    NotificationMailer.deliver_nightly_report(@prefs.notify_emails_as_array,
      @prefs.mail_from,
      @threat_indexes,
      @top_attacks,
      @top_attackers,
      @high_priority_attacks)
  end
end

