require 'test_helper'

class PreferencesControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:preferences)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_preference
    assert_difference('Preference.count') do
      post :create, :preference => { }
    end

    assert_redirected_to preference_path(assigns(:preference))
  end

  def test_should_show_preference
    get :show, :id => preferences(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => preferences(:one).id
    assert_response :success
  end

  def test_should_update_preference
    put :update, :id => preferences(:one).id, :preference => { }
    assert_redirected_to preference_path(assigns(:preference))
  end

  def test_should_destroy_preference
    assert_difference('Preference.count', -1) do
      delete :destroy, :id => preferences(:one).id
    end

    assert_redirected_to preferences_path
  end
end
